SubscriptionForm (Struts Apps - Faces Example 2 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.webapp.example2
Class SubscriptionForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.webapp.example2.SubscriptionForm

All Implemented Interfaces:
  Serializable

    public final class SubscriptionForm

extends ActionForm

Form bean for the user profile page. This form has the following fields, with default values in square brackets:

- action - The maintenance action we are performing (Create, Delete, or Edit).
- host - The mail host for this subscription. [REQUIRED]
- password - The password for this subscription. [REQUIRED]
- type - The subscription type (imap,pop3) for this subscription. [REQUIRED]
- username - The username of this subscription. [REQUIRED]

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`SubscriptionForm()`

Method Summary
`String` | `getAction()` Return the maintenance action.
`boolean` | `getAutoConnect()` Return the auto-connect flag.
`String` | `getHost()` Return the host name.
`String` | `getPassword()` Return the password.
`String` | `getType()` Return the subscription type.
`String` | `getUsername()` Return the username.
`void` | `reset(ActionMapping mapping, HttpServletRequest request)` Reset all properties to their default values.
`void` | `setAction(String action)` Set the maintenance action.
`void` | `setAutoConnect(boolean autoConnect)` Set the auto-connect flag.
`void` | `setHost(String host)` Set the host name.
`void` | `setPassword(String password)` Set the password.
`void` | `setType(String type)` Set the subscription type.
`void` | `setUsername(String username)` Set the username.
`ActionErrors` | `validate(ActionMapping mapping, HttpServletRequest request)` Validate the properties that have been set from this HTTP request, and return an `ActionErrors` object that encapsulates any validation errors that have been found.

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubscriptionForm

    public SubscriptionForm()

Method Detail

### getAction

    public String getAction()

  Return the maintenance action.

### setAction

    public void setAction(String action)

  Set the maintenance action.

  Parameters:
    `action` - The new maintenance action.

### getAutoConnect

    public boolean getAutoConnect()

  Return the auto-connect flag.

### setAutoConnect

    public void setAutoConnect(boolean autoConnect)

  Set the auto-connect flag.

  Parameters:
    `autoConnect` - The new auto-connect flag

### getHost

    public String getHost()

  Return the host name.

### setHost

    public void setHost(String host)

  Set the host name.

  Parameters:
    `host` - The host name

### getPassword

    public String getPassword()

  Return the password.

### setPassword

    public void setPassword(String password)

  Set the password.

  Parameters:
    `password` - The new password

### getType

    public String getType()

  Return the subscription type.

### setType

    public void setType(String type)

  Set the subscription type.

  Parameters:
    `type` - The subscription type

### getUsername

    public String getUsername()

  Return the username.

### setUsername

    public void setUsername(String username)

  Set the username.

  Parameters:
    `username` - The new username

### reset

    public void reset(ActionMapping mapping,
                      HttpServletRequest request)

  Reset all properties to their default values.

  Overrides:
    `reset` in class `ActionForm`
  Parameters:
    `mapping` - The mapping used to select this instance
    `request` - The servlet request we are processing

### validate

    public ActionErrors validate(ActionMapping mapping,
                                 HttpServletRequest request)

  Validate the properties that have been set from this HTTP request, and return an `ActionErrors` object that encapsulates any validation errors that have been found. If no errors are found, return `null` or an `ActionErrors` object with no recorded error messages.

  Overrides:
    `validate` in class `ActionForm`
  Parameters:
    `mapping` - The mapping used to select this instance
    `request` - The servlet request we are processing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.